package com.ruoyi.project.asset.service.impl;

import java.util.List;

import com.ruoyi.project.asset.service.ITLeakagePointsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.asset.mapper.TLeakagePointsMapper;
import com.ruoyi.project.asset.domain.TLeakagePoints;

/**
 * 漏点清单Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-03-28
 */
@Service
public class TLeakagePointsServiceImpl implements ITLeakagePointsService
{
    @Autowired
    private TLeakagePointsMapper tLeakagePointsMapper;

    /**
     * 查询漏点清单
     * 
     * @param id 漏点清单主键
     * @return 漏点清单
     */
    @Override
    public TLeakagePoints selectTLeakagePointsById(Long id)
    {
        return tLeakagePointsMapper.selectTLeakagePointsById(id);
    }

    /**
     * 查询漏点清单列表
     * 
     * @param tLeakagePoints 漏点清单
     * @return 漏点清单
     */
    @Override
    public List<TLeakagePoints> selectTLeakagePointsList(TLeakagePoints tLeakagePoints)
    {
        return tLeakagePointsMapper.selectTLeakagePointsList(tLeakagePoints);
    }

    /**
     * 新增漏点清单
     * 
     * @param tLeakagePoints 漏点清单
     * @return 结果
     */
    @Override
    public int insertTLeakagePoints(TLeakagePoints tLeakagePoints)
    {
        return tLeakagePointsMapper.insertTLeakagePoints(tLeakagePoints);
    }

    /**
     * 修改漏点清单
     * 
     * @param tLeakagePoints 漏点清单
     * @return 结果
     */
    @Override
    public int updateTLeakagePoints(TLeakagePoints tLeakagePoints)
    {
        return tLeakagePointsMapper.updateTLeakagePoints(tLeakagePoints);
    }

    /**
     * 批量删除漏点清单
     * 
     * @param ids 需要删除的漏点清单主键
     * @return 结果
     */
    @Override
    public int deleteTLeakagePointsByIds(Long[] ids)
    {
        return tLeakagePointsMapper.deleteTLeakagePointsByIds(ids);
    }

    /**
     * 删除漏点清单信息
     * 
     * @param id 漏点清单主键
     * @return 结果
     */
    @Override
    public int deleteTLeakagePointsById(Long id)
    {
        return tLeakagePointsMapper.deleteTLeakagePointsById(id);
    }
}
